Bug 1302920 - "virtio-win" does not retrieve memory usage from windows instances
"virtio-win" does not retrieve memory usage from windows instances
Status: CLOSED NOTABUG
Product: Virtualization Tools
Classification: Community
Component: virtio-win (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Gal Hammer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 19:33 EST by Shinobu KINJO
Modified: 2016-02-23 04:55 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 04:55:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shinobu KINJO 2016-01-28 19:33:50 EST
Description of problem:

The Ceilometer which is one of OpenStack components logged, at warning level, periodically as follows.


    2015-10-12 13:06:21.100 2189 WARNING ceilometer.compute.pollsters.memory [-]
    Cannot inspect data of MemoryUsagePollster for 41879320-053a-4742-a3f8-e03e707477ad, 
    non-fatal reason: Failed to inspect memory usage of instance-0000003d, 
    can not get info from libvirt


The virtio-win seems not to be able to inspect actual memory usage from windows instances.
This unexpected situation happens to only memory inspection.

Please confirm if this behavior is by design or not, if we can not deploy the feature to
retrieve actual memory usage from windows instances because of any security issues or not.

Rgds,
Shinobu

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Vadim Rozenfeld 2016-01-28 19:45:18 EST
Hello Shinobu

Could you please explain what the Ceilometer actually does in order to obtain the memory usage information?

Thanks,
Vadim.
Comment 2 Shinobu KINJO 2016-02-09 18:56:21 EST
@Vadim,

Thank you for message.

The Ceilometer access to libvirt with read-only using uri then lookup instance by name.

If the Ceilometer can get connection to instance via libvirt, resource usages like Memory are expected to be inspected.

If instance is deleted during inspection, InstanceNotFoundException is raised.[1]

If obtaining some resource usage is not implemented in the Ceilometer utility, NotImplementedError is raised.[2]

If the Ceilometer can not get resource usage for instance, just Exception is raised saying that "Could not get *resource* usage".[3]

I'm facing [3]. 

Make sense?

Rgds,
Shinobu
Comment 3 Amnon Ilan 2016-02-10 08:02:15 EST
Redirecting to libvirt in order to do a top-down check
Comment 4 Jiri Denemark 2016-02-10 09:22:23 EST
This was already discussed from libvirt's point of view in bug 1301443. Libvirt reports whatever it gets from QEMU, which gets it from a guest's balloon driver. While virtio-balloon for Linux supports memory statistics, virtio-win balloon driver does not seem to be reporting anything.
Comment 5 Vadim Rozenfeld 2016-02-10 15:49:14 EST
(In reply to Jiri Denemark from comment #4)
> This was already discussed from libvirt's point of view in bug 1301443.
> Libvirt reports whatever it gets from QEMU, which gets it from a guest's
> balloon driver. While virtio-balloon for Linux supports memory statistics,
> virtio-win balloon driver does not seem to be reporting anything.

Definitely it does. Can we be sure that in addition to the kernel mode balloon driver they also have user-mode balloon service installed and running up? 

Vadim.
Comment 9 Gal Hammer 2016-02-23 04:55:04 EST
Closing. The required information is provided when the balloon's service is installed and running.

Feel free to open again if I misunderstood.

Note You need to log in before you can comment on or make changes to this bug.